"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandManager = void 0;
class CommandManager {
    static register(command, handler) {
        this.commands.push(command);
        this.handlers.set(command, handler);
    }
    /**
     * Initialize all command handlers for the connection
     */
    static initHandlers(connection) {
        connection.onExecuteCommand((params) => {
            const handler = this.handlers.get(params.command);
            if (handler) {
                if (params.arguments) {
                    void handler(...params.arguments);
                }
                else {
                    void handler();
                }
            }
        });
    }
}
exports.CommandManager = CommandManager;
CommandManager.commands = [];
CommandManager.handlers = new Map();
//# sourceMappingURL=commandManager.js.map