import { ElmJson } from "./elmWorkspace";
import { IConstraint, IVersion } from "./util/elmUtils";
export interface IPackage {
    dependencies: Map<string, IConstraint>;
    version: IVersion;
}
export interface IElmPackageCache {
    getVersions(packageName: string): Promise<IVersion[]>;
    getDependencies(packageName: string, version: IVersion): Promise<Map<string, IConstraint>>;
    loadAllPackageModules(): Promise<void>;
}
export declare class ElmPackageCache implements IElmPackageCache {
    private loadElmJson;
    private static versionsCache;
    private static dependenciesCache;
    private static moduleToPackages;
    private static _packagesRoot;
    static set packagesRoot(newPackagesRoot: string);
    static get packagesRoot(): string;
    constructor(loadElmJson: (elmJsonPath: string) => Promise<ElmJson>);
    getVersions(packageName: string): Promise<IVersion[]>;
    getDependencies(packageName: string, version: IVersion): Promise<Map<string, IConstraint>>;
    loadAllPackageModules(): Promise<void>;
    static getPackagesWithModule(moduleName: string): string[];
    private getVersionsFromFileSystem;
    private getDependenciesFromFileSystem;
    private parseDependencies;
}
