import { SyntaxNode } from "web-tree-sitter";
import { IForest, ITreeContainer } from "./forest";
import { NodeType } from "./util/treeUtils";
import { MultiMap } from "./util/multiMap";
export declare let importsTime: number;
export declare function resetImportsTime(): void;
export interface IImport {
    alias: string;
    node: SyntaxNode;
    fromUri: string;
    fromModuleName: string;
    maintainerAndPackageName?: string;
    type: NodeType;
    explicitlyExposed: boolean;
}
/**
 * Imports class that extends a map to handle multiple named imports
 */
export declare class Imports extends MultiMap<string, IImport> {
    get(key: string, filter?: (val: IImport) => boolean): IImport | undefined;
    private static cachedVirtualImports;
    static getImports(treeContainer: ITreeContainer, forest: IForest): Imports;
    private static getPrefixedImports;
    static getVirtualImports(): SyntaxNode[];
    private static findImportAsClause;
    private static getAllExposedCompletions;
    private static exposedNodesToImports;
}
