import { Event } from "vscode-languageserver";
import { SyntaxNode } from "web-tree-sitter";
import { ITreeContainer } from "../forest";
import { IDidChangeTextDocumentParams, IDidOpenTextDocumentParams } from "./paramsExtensions";
export declare class ASTProvider {
    private connection;
    private parser;
    private documentEvents;
    private treeChangeEvent;
    readonly onTreeChange: Event<{
        treeContainer: ITreeContainer;
        declaration?: SyntaxNode;
    }>;
    private pendingRenames;
    constructor();
    addPendingRename(oldUri: string, newUri: string): void;
    protected handleChangeTextDocument: (params: IDidChangeTextDocumentParams | IDidOpenTextDocumentParams) => void;
    private getEditFromChange;
    private textToPosition;
    private addPositions;
    private toTSPoint;
}
