import { CompletionItem, CompletionList } from "vscode-languageserver";
import { ICompletionParams } from "./paramsExtensions";
export declare type CompletionResult = CompletionItem[] | CompletionList | null | undefined;
export declare class CompletionProvider {
    private qidRegex;
    private connection;
    private diagnostics;
    constructor();
    protected handleCompletionRequest: (params: ICompletionParams) => CompletionResult;
    private findPreviousWord;
    private getImportableModules;
    private getExposedFromModule;
    private getCompletionsFromOtherFile;
    private getSameFileTopLevelCompletions;
    private getRecordCompletions;
    private getRecordCompletionsUsingInference;
    private createFunctionCompletion;
    private createFieldOrParameterCompletion;
    private createTypeCompletion;
    private createTypeAliasCompletion;
    private createOperatorCompletion;
    private createUnionConstructorCompletion;
    private createModuleCompletion;
    private createCompletion;
    private createPreselectedCompletion;
    private findDefinitionsForScope;
    private getPossibleImportsFiltered;
    private getPossibleImports;
    private getSubmodulesOrValues;
    private createSnippet;
    private createSnippetsInline;
    private createSnippetsStartOfLine;
    private createKeywordCompletion;
    private getKeywordsInline;
    private getKeywordsStartOfLine;
}
