import { ITreeContainer } from "../../forest";
import { CodeAction, CodeActionParams } from "vscode-languageserver";
import { Tree } from "web-tree-sitter";
import { IElmWorkspace } from "../../elmWorkspace";
import { IDiagnostic } from "./diagnosticsProvider";
export declare class ElmLsDiagnostics {
    private language;
    private elmWorkspaceMatcher;
    private connection;
    private elmAnalyseJson;
    private readonly exposedValuesAndTypesQuery;
    private readonly moduleImportsQuery;
    private readonly moduleReferencesQuery;
    private readonly importModuleAliasesQuery;
    private readonly moduleAliasReferencesQuery;
    private readonly patternsQuery;
    private readonly caseBranchesQuery;
    private readonly booleanCaseExpressionsQuery;
    private readonly concatOfListsQuery;
    private readonly consOfItemAndListQuery;
    private readonly useConsOverConcatQuery;
    private readonly singleFieldRecordTypesQuery;
    private readonly unnecessaryListConcatQuery;
    private readonly unusedPortModuleQuery;
    private readonly operatorFunctionsQuery;
    private readonly typeAliasesQuery;
    private readonly unionVariantsQuery;
    private readonly patternReferencesQuery;
    constructor();
    createDiagnostics: (treeContainer: ITreeContainer, elmWorkspace: IElmWorkspace) => IDiagnostic[];
    private getElmAnalyseJson;
    onCodeAction(params: CodeActionParams): CodeAction[];
    private convertDiagnosticsToCodeActions;
    private getUnusedImportDiagnostics;
    private getUnusedImportValueAndTypeDiagnostics;
    private getUnusedImportAliasDiagnostics;
    private getUnusedPatternVariableDiagnostics;
    private getCaseBranchMapNothingToNothingDiagnostics;
    private getBooleanCaseExpressionDiagnostics;
    private getDropConcatOfListsDiagnostics;
    private getDropConsOfItemAndListDiagnostics;
    private getUseConsOverConcatDiagnostics;
    getSingleFieldRecordDiagnostics(tree: Tree, uri: string, elmWorkspace: IElmWorkspace): IDiagnostic[];
    private getUnnecessaryListConcatDiagnostics;
    private getUnnecessaryPortModuleDiagnostics;
    private getFullyAppliedOperatorAsPrefixDiagnostics;
    private getUnusedTypeAliasDiagnostics;
    private getUnusedValueConstructorDiagnostics;
    private getNodeRange;
}
