"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.comparePackageRanking = void 0;
function comparePackageRanking(package1, package2) {
    const aRanking = RANKING_LIST[package1];
    const bRanking = RANKING_LIST[package2];
    if (aRanking && bRanking) {
        return aRanking.localeCompare(bRanking);
    }
    else if (aRanking) {
        return 1;
    }
    else if (bRanking) {
        return -1;
    }
    else {
        return 0;
    }
}
exports.comparePackageRanking = comparePackageRanking;
const RANKING_LIST = {
    "elm/core": "0001",
    "elm/html": "0002",
    "elm/browser": "0003",
    "elm/json": "0004",
    "elm/http": "0005",
    "elm/time": "0006",
    "elm/url": "0007",
    "elm-explorations/test": "0008",
    "elm/random": "0009",
    "elm-community/list-extra": "0010",
    "mdgriffith/elm-ui": "0011",
    "elm/svg": "0012",
    "NoRedInk/elm-json-decode-pipeline": "0013",
    "rtfeldman/elm-css": "0014",
    "avh4/elm-color": "0015",
    "elm/parser": "0016",
    "elm/regex": "0017",
    "elm-community/maybe-extra": "0018",
    "krisajenkins/remotedata": "0019",
    "elm/file": "0020",
    "elm-explorations/markdown": "0021",
    "rtfeldman/elm-iso8601-date-strings": "0022",
    "elm-community/random-extra": "0023",
    "rundis/elm-bootstrap": "0024",
    "justinmimbs/date": "0025",
    "elm-community/json-extra": "0026",
    "elm-community/string-extra": "0027",
    "mpizenberg/elm-pointer-events": "0028",
    "elm-community/result-extra": "0029",
    "elm-explorations/linear-algebra": "0030",
    "elm/bytes": "0031",
    "dillonkearns/elm-pages": "0032",
    "myrho/elm-round": "0033",
    "elm/virtual-dom": "0034",
    "elm-community/typed-svg": "0035",
    "dillonkearns/elm-sitemap": "0036",
    "dillonkearns/elm-rss": "0037",
    "rtfeldman/elm-hex": "0038",
    "ryannhg/date-format": "0039",
    "elm-explorations/webgl": "0040",
    "dillonkearns/elm-markdown": "0041",
    "elm-community/dict-extra": "0042",
    "noahzgordon/elm-color-extra": "0043",
    "dillonkearns/elm-graphql": "0044",
    "lukewestby/elm-string-interpolate": "0045",
    "joakin/elm-canvas": "0046",
    "justinmimbs/time-extra": "0047",
    "ianmackenzie/elm-geometry": "0048",
    "elm-community/html-extra": "0049",
    "ohanhi/keyboard": "0050",
    "mdgriffith/elm-markup": "0051",
    "ianmackenzie/elm-units": "0052",
    "truqu/elm-base64": "0053",
    "gampleman/elm-visualization": "0054",
    "jfmengels/elm-review": "0055",
    "hecrj/html-parser": "0056",
    "mdgriffith/elm-animator": "0057",
    "stil4m/elm-syntax": "0058",
    "elm-community/array-extra": "0059",
    "evancz/elm-playground": "0060",
    "elm-explorations/benchmark": "0061",
    "danyx23/elm-uuid": "0062",
    "ianmackenzie/elm-3d-scene": "0063",
    "lukewestby/elm-http-builder": "0064",
    "rtfeldman/elm-validate": "0065",
    "elm/project-metadata-utils": "0066",
    "terezka/line-charts": "0067",
    "cuducos/elm-format-number": "0068",
    "mdgriffith/elm-style-animation": "0069",
    "Janiczek/cmd-extra": "0070",
    "pablohirafuji/elm-markdown": "0071",
    "feathericons/elm-feather": "0072",
    "lattyware/elm-fontawesome": "0073",
    "elm-community/basics-extra": "0074",
    "MacCASOutreach/graphicsvg": "0075",
    "mgold/elm-nonempty-list": "0076",
    "timjs/elm-collage": "0077",
    "folkertdev/one-true-path-experiment": "0078",
    "avh4/elm-program-test": "0079",
    "surprisetalk/elm-bulma": "0080",
    "elm-community/graph": "0081",
    "ryannhg/elm-spa": "0082",
    "pzp1997/assoc-list": "0083",
    "elm-community/easing-functions": "0084",
    "elm-community/intdict": "0085",
    "bartavelle/json-helpers": "0086",
    "danfishgold/base64-bytes": "0087",
    "sparksp/elm-review-forbidden-words": "0088",
    "debois/elm-dom": "0089",
    "Fresheyeball/elm-return": "0090",
    "fapian/elm-html-aria": "0091",
    "Gizra/elm-keyboard-event": "0092",
    "truqu/elm-md5": "0093",
    "andrewMacmurray/elm-delay": "0094",
    "aforemny/material-components-web-elm": "0095",
    "justinmimbs/timezone-data": "0096",
    "cmditch/elm-bigint": "0097",
    "wernerdegroot/listzipper": "0098",
    "jinjor/elm-debounce": "0099",
    "PanagiotisGeorgiadis/elm-datetime": "0100",
    "ianmackenzie/elm-geometry-svg": "0101",
    "Chadtech/elm-bool-extra": "0102",
    "lynn/elm-arithmetic": "0103",
    "pablohirafuji/elm-syntax-highlight": "0104",
    "arturopala/elm-monocle": "0105",
    "frandibar/elm-font-awesome-5": "0106",
    "justgook/elm-image": "0107",
    "miniBill/elm-codec": "0108",
    "zaboco/elm-draggable": "0109",
    "billstclair/elm-port-funnel": "0110",
    "norpan/elm-html5-drag-drop": "0111",
    "TSFoster/elm-uuid": "0112",
    "ianmackenzie/elm-3d-camera": "0113",
    "jfmengels/elm-review-unused": "0114",
    "ohanhi/remotedata-http": "0115",
    "icidasset/elm-binary": "0116",
    "CurrySoftware/elm-datepicker": "0117",
    "abadi199/elm-input-extra": "0118",
    "tesk9/palette": "0119",
    "zwilias/elm-rosetree": "0120",
    "annaghi/dnd-list": "0121",
    "SwiftsNamesake/proper-keyboard": "0122",
    "lovasoa/elm-csv": "0123",
    "billstclair/elm-websocket-client": "0124",
    "ccapndave/elm-update-extra": "0125",
    "robinheghan/murmur3": "0126",
    "icidasset/elm-material-icons": "0127",
    "Orasund/elm-ui-widgets": "0128",
    "truqu/elm-review-noleftpizza": "0129",
    "turboMaCk/any-dict": "0130",
    "turboMaCk/non-empty-list-alias": "0131",
    "simonh1000/elm-jwt": "0132",
    "pablohirafuji/elm-qrcode": "0133",
    "j-panasiuk/elm-ionicons": "0134",
    "lattyware/elm-json-diff": "0135",
    "zwilias/elm-html-string": "0136",
    "arowM/elm-form-decoder": "0137",
    "mgold/elm-animation": "0138",
    "ianmackenzie/elm-triangular-mesh": "0139",
    "TSFoster/elm-tuple-extra": "0140",
    "tripokey/elm-fuzzy": "0141",
    "Punie/elm-parser-extras": "0142",
    "pablen/toasty": "0143",
    "elm-community/undo-redo": "0144",
    "truqu/elm-oauth2": "0145",
    "Gizra/elm-all-set": "0146",
    "jweir/elm-iso8601": "0147",
    "tortus/elm-array-2d": "0148",
    "NoRedInk/elm-random-pcg-extended": "0149",
    "webbhuset/elm-json-decode": "0150",
    "ktonon/elm-crypto": "0151",
    "elm-community/list-split": "0152",
    "Herteby/simplex-noise": "0153",
    "jzxhuang/http-extras": "0154",
    "folkertdev/elm-deque": "0155",
    "ianmackenzie/elm-1d-parameter": "0156",
    "ccapndave/elm-flat-map": "0157",
    "truqu/elm-review-nobooleancase": "0158",
    "toastal/either": "0159",
    "1602/elm-feather": "0160",
    "mdgriffith/style-elements": "0161",
    "NoRedInk/elm-uuid": "0162",
    "perzanko/elm-loading": "0163",
    "linuss/smooth-scroll": "0164",
    "etaque/elm-form": "0165",
    "gingko/time-distance": "0166",
    "GlobalWebIndex/cmd-extra": "0167",
    "NoRedInk/elm-string-conversions": "0168",
    "AdrianRibao/elm-derberos-date": "0169",
    "kalutheo/elm-ui-explorer": "0170",
    "justgage/tachyons-elm": "0171",
    "Gizra/elm-debouncer": "0172",
    "turboMaCk/any-set": "0173",
    "the-sett/elm-color": "0174",
    "billstclair/elm-sortable-table": "0175",
    "capitalist/elm-octicons": "0176",
    "simonh1000/elm-colorpicker": "0177",
    "pilatch/flip": "0178",
    "folkertdev/elm-state": "0179",
    "jfmengels/elm-review-debug": "0180",
    "TSFoster/elm-sha1": "0181",
    "klazuka/elm-json-tree-view": "0182",
    "Janiczek/elm-bidict": "0183",
    "danmarcab/material-icons": "0184",
    "basti1302/elm-human-readable-filesize": "0185",
    "panthershark/email-parser": "0186",
    "fredcy/elm-parseint": "0187",
    "jorgengranseth/elm-string-format": "0188",
    "hecrj/composable-form": "0189",
    "ianmackenzie/elm-geometry-test": "0190",
    "billstclair/elm-sha256": "0191",
    "ianmackenzie/elm-geometry-linear-algebra-interop": "0192",
    "danhandrea/elm-date-format": "0193",
    "NoRedInk/elm-sortable-table": "0194",
    "kuon/elm-string-normalize": "0195",
    "dmy/elm-pratt-parser": "0196",
    "Chadtech/unique-list": "0197",
    "jamesmacaulay/elm-graphql": "0198",
    "ymtszw/elm-xml-decode": "0199",
    "billstclair/elm-localstorage": "0200",
    "mthadley/elm-hash-routing": "0201",
    "cappyzawa/elm-ui-colors": "0202",
    "the-sett/elm-syntax-dsl": "0203",
    "damienklinnert/elm-spinner": "0204",
    "matthewsj/elm-ordering": "0205",
    "folkertdev/elm-flate": "0206",
    "carwow/elm-slider": "0207",
    "jinjor/elm-diff": "0208",
    "ursi/elm-css-colors": "0209",
    "ContaSystemer/elm-menu": "0210",
    "tricycle/elm-embed-youtube": "0211",
    "PaackEng/elm-ui-dialog": "0212",
    "CoderDennis/elm-time-format": "0213",
    "gicentre/elm-vegalite": "0214",
    "yotamDvir/elm-pivot": "0215",
    "NoRedInk/elm-simple-fuzzy": "0216",
    "ggb/numeral-elm": "0217",
    "zwilias/json-decode-exploration": "0218",
    "jfmengels/elm-review-common": "0219",
    "BrianHicks/elm-css-reset": "0220",
    "Janiczek/elm-graph": "0221",
    "ericgj/elm-csv-decode": "0222",
    "periodic/elm-csv": "0223",
    "pd-andy/tuple-extra": "0224",
    "tesk9/accessible-html": "0225",
    "lovasoa/elm-rolling-list": "0226",
    "krisajenkins/elm-astar": "0227",
    "BrianHicks/elm-particle": "0228",
    "folkertdev/elm-sha2": "0229",
    "Garados007/elm-svg-parser": "0230",
    "gampleman/elm-mapbox": "0231",
    "NoRedInk/elm-compare": "0232",
    "joneshf/elm-tagged": "0233",
    "the-sett/lazy-list": "0234",
    "turboMaCk/lazy-tree-with-zipper": "0235",
    "jfmengels/elm-review-documentation": "0236",
    "y047aka/elm-reset-css": "0237",
    "Orasund/elm-ui-framework": "0238",
    "ianmackenzie/elm-units-prefixed": "0239",
    "jxxcarlson/elm-typed-time": "0240",
    "ianmackenzie/elm-float-extra": "0241",
    "matken11235/html-styled-extra": "0242",
    "supermacro/elm-antd": "0242",
    "jasonliang-dev/elm-heroicons": "0242",
    "robinheghan/keyboard-events": "0242",
    "MaybeJustJames/yaml": "0242",
    "coinop-logan/elm-format-number": "0243",
    "truqu/elm-review-noredundantconcat": "0244",
    "truqu/elm-review-noredundantcons": "0245",
    "ahstro/elm-bulma-classes": "0246",
    "rluiten/elm-text-search": "0247",
    "norpan/elm-json-patch": "0248",
    "avh4/elm-fifo": "0249",
    "eriktim/elm-protocol-buffers": "0250",
    "zwilias/elm-utf-tools": "0251",
    "fabhof/elm-ui-datepicker": "0252",
    "Kraxorax/elm-matrix-a": "0253",
    "Zinggi/elm-2d-game": "0254",
    "waratuman/time-extra": "0255",
    "pd-andy/elm-web-audio": "0256",
    "ianmackenzie/elm-units-interval": "0257",
    "alex-tan/elm-dialog": "0258",
    "joakin/elm-grid": "0259",
    "marcosh/elm-html-to-unicode": "0260",
    "K-Adam/elm-dom": "0261",
    "stoeffel/elm-verify": "0262",
    "thaterikperson/elm-strftime": "0263",
    "joshforisha/elm-html-entities": "0264",
    "ChristophP/elm-i18next": "0265",
    "WhileTruu/elm-smooth-scroll": "0266",
    "smucode/elm-flat-colors": "0267",
    "PaackEng/elm-ui-dropdown": "0268",
    "jinjor/elm-xml-parser": "0269",
    "Spaxe/svg-pathd": "0270",
    "Zinggi/elm-game-resources": "0271",
    "justgook/webgl-shape": "0272",
    "miyamoen/select-list": "0273",
    "cmditch/elm-ethereum": "0274",
    "visotype/elm-dom": "0275",
    "folkertdev/svg-path-lowlevel": "0276",
    "rtfeldman/elm-sorter-experiment": "0277",
    "stil4m/structured-writer": "0278",
    "lucamug/style-framework": "0279",
    "stoeffel/set-extra": "0280",
    "STTR13/ziplist": "0281",
    "FabienHenon/elm-infinite-list-view": "0282",
    "FabienHenon/elm-infinite-scroll": "0283",
    "sporto/time-distance": "0284",
    "dillonkearns/elm-cli-options-parser": "0285",
    "mcordova47/elm-natural-ordering": "0286",
    "hecrj/elm-slug": "0287",
    "NoRedInk/list-selection": "0288",
    "Voronchuk/hexagons": "0289",
    "y0hy0h/ordered-containers": "0290",
    "elm-athlete/athlete": "0291",
    "laserpants/elm-update-pipeline": "0292",
    "coinop-logan/phace": "0293",
    "BrianHicks/elm-trend": "0294",
    "MartinSStewart/elm-audio": "0295",
    "rl-king/elm-scroll-to": "0296",
    "erlandsona/assoc-set": "0297",
    "justgook/webgl-playground": "0298",
    "tesk9/accessible-html-with-css": "0299",
    "w0rm/elm-physics": "0300",
    "jgrenat/elm-html-test-runner": "0301",
    "krisajenkins/elm-exts": "0302",
    "ianmackenzie/elm-interval": "0303",
    "mhoare/elm-stack": "0304",
    "Punie/elm-matrix": "0305",
    "bburdette/websocket": "0306",
    "danyx23/elm-mimetype": "0307",
    "arowM/elm-mixin": "0308",
    "sporto/elm-select": "0309",
    "tricycle/elm-actor-framework": "0310",
    "ThinkAlexandria/elm-pretty-print-json": "0311",
    "arowM/elm-reference": "0312",
    "mdgriffith/stylish-elephants": "0313",
    "yotamDvir/elm-katex": "0314",
    "carmonw/elm-number-to-words": "0315",
    "dillonkearns/elm-oembed": "0316",
    "RomanErnst/erl": "0317",
    "w0rm/elm-obj-file": "0318",
    "lemol/ant-design-icons-elm-ui": "0318",
    "avh4/elm-beautiful-example": "0319",
    "arowM/elm-classname": "0320",
    "the-sett/elm-state-machines": "0321",
    "Orasund/pixelengine": "0322",
    "the-sett/elm-auth-aws": "0323",
    "rl-king/elm-gallery": "0324",
    "the-sett/elm-update-helper": "0325",
    "the-sett/elm-auth": "0326",
    "drathier/elm-graph": "0327",
    "arowM/elm-neat-layout": "0328",
    "bgrosse-midokura/composable-form": "0329",
    "jxxcarlson/elm-cell-grid": "0330",
    "indicatrix/elm-chartjs-webcomponent": "0331",
    "andre-dietrich/parser-combinators": "0332",
    "achutkiran/material-components-elm": "0333",
    "inkuzmin/elm-multiselect": "0334",
    "stoeffel/editable": "0335",
    "Chadtech/id": "0336",
    "jonoabroad/commatosed": "0337",
    "kirchner/elm-selectize": "0338",
    "phollyer/elm-phoenix-websocket": "0339",
    "hmsk/elm-css-modern-normalize": "0339",
    "gampleman/elm-examples-helper": "0339",
    "malaire/elm-uint64": "0339",
    "JohnBugner/elm-matrix": "0339",
    "TheSacredLipton/elm-ui-hexcolor": "0339",
    "jfmengels/elm-review-the-elm-architecture": "0339",
    "jschomay/elm-paginate": "0340",
    "alex-tan/elm-tree-diagram": "0341",
    "xarvh/elm-slides": "0342",
    "rluiten/stringdistance": "0343",
    "Orasund/elm-game-essentials": "0344",
    "mgold/elm-geojson": "0345",
    "marshallformula/elm-swiper": "0346",
    "jxxcarlson/elm-markdown": "0347",
    "Microsoft/elm-json-tree-view": "0348",
    "newmana/chroma-elm": "0349",
    "justgook/alt-linear-algebra": "0350",
    "larribas/elm-multi-input": "0351",
    "lukewestby/elm-template": "0352",
    "EdutainmentLIVE/elm-bootstrap": "0353",
    "vito/elm-ansi": "0354",
    "z5h/component-result": "0355",
    "BrianHicks/elm-string-graphemes": "0356",
    "proda-ai/elm-dropzone": "0357",
    "TSFoster/elm-bytes-extra": "0358",
    "tremlab/bugsnag-elm": "0359",
    "fredcy/elm-debouncer": "0359",
    "dzuk-mutant/elm-html-styled-aria": "0359",
    "proda-ai/murmur3": "0359",
    "oaalto/time-values": "0359",
    "chelovek0v/bbase64": "0359",
    "andre-dietrich/elm-conditional": "0359",
    "robinheghan/elm-deque": "0359",
    "MartinSStewart/elm-serialize": "0359",
    "jxxcarlson/hex": "0360",
    "prikhi/decimal": "0361",
    "league/unique-id": "0362",
    "jschomay/elm-narrative-engine": "0363",
    "blissfully/elm-chartjs-webcomponent": "0364",
    "jxxcarlson/elm-graph": "0365",
    "samhstn/time-format": "0366",
    "jxxcarlson/elm-pseudorandom": "0367",
    "the-sett/elm-pretty-printer": "0368",
    "cultureamp/elm-css-modules-loader": "0369",
    "Fresheyeball/deburr": "0370",
    "f0i/statistics": "0371",
    "ymtszw/elm-http-xml": "0372",
    "PaackEng/elm-svg-string": "0373",
    "jouderianjr/elm-dialog": "0374",
    "newlandsvalley/elm-binary-base64": "0375",
    "the-sett/elm-string-case": "0376",
    "supermario/elm-countries": "0377",
    "gribouille/elm-treeview": "0378",
    "etaque/elm-response": "0379",
    "harrysarson/elm-complex": "0380",
    "FMFI-UK-1-AIN-412/elm-formula": "0381",
    "owanturist/elm-union-find": "0382",
    "z5h/jaro-winkler": "0383",
    "brandly/elm-dot-lang": "0384",
    "y047aka/elm-hsl-color": "0385",
    "ryry0/elm-numeric": "0386",
    "rogeriochaves/elm-test-bdd-style": "0387",
    "waratuman/elm-coder": "0388",
    "hrldcpr/elm-cons": "0389",
    "prozacchiwawa/elm-keccak": "0390",
    "jims/html-parser": "0391",
    "PanagiotisGeorgiadis/elm-datepicker": "0392",
    "LesleyLai/elm-grid": "0393",
    "mweiss/elm-rte-toolkit": "0394",
    "isaacseymour/deprecated-time": "0395",
    "sporto/qs": "0396",
    "Chadtech/elm-money": "0397",
    "kuzminadya/mogeefont": "0398",
    "fifth-postulate/priority-queue": "0399",
    "sudo-rushil/elm-cards": "0400",
    "bigardone/elm-css-placeholders": "0401",
    "ronanyeah/helpers": "0402",
    "YuyaAizawa/list-wrapper": "0403",
    "truqu/line-charts": "0404",
    "dmy/elm-imf-date-time": "0405",
    "SiriusStarr/elm-password-strength": "0406",
    "EdutainmentLIVE/elm-dropdown": "0407",
    "peterszerzo/line-charts": "0408",
    "ktonon/elm-word": "0409",
    "the-sett/elm-aws-core": "0410",
    "mercurymedia/elm-datetime-picker": "0411",
    "MartinSStewart/elm-box-packing": "0412",
    "GlobalWebIndex/elm-plural-rules": "0413",
    "lazamar/dict-parser": "0414",
    "savardd/elm-time-travel": "0415",
    "cappyzawa/elm-ui-onedark": "0416",
    "erosson/number-suffix": "0417",
    "NoRedInk/elm-random-general": "0418",
    "edkv/elm-generic-dict": "0419",
    "Chadtech/return": "0420",
    "skyqrose/assoc-list-extra": "0421",
    "prikhi/http-tasks": "0422",
    "cedric-h/elm-google-sign-in": "0423",
    "pehota/elm-zondicons": "0424",
    "JonRowe/elm-jwt": "0425",
    "etaque/elm-transit-style": "0426",
    "dosarf/elm-tree-view": "0427",
    "json-tools/json-value": "0428",
    "r-k-b/no-long-import-lines": "0429",
    "billstclair/elm-xml-eeue56": "0430",
    "etaque/elm-transit": "0431",
    "ursi/elm-throttle": "0432",
    "the-sett/elm-serverless": "0433",
    "commonmind/elm-csv-encode": "0434",
    "allo-media/elm-daterange-picker": "0435",
    "stephenreddek/elm-emoji": "0436",
    "driebit/elm-css-breakpoint": "0437",
    "f0i/iso8601": "0438",
    "jordymoos/pilf": "0439",
    "folq/review-rgb-ranges": "0440",
    "terezka/yaml": "0441",
    "kyasu1/elm-ulid": "0442",
    "Kinto/elm-kinto": "0443",
    "ghivert/elm-graphql": "0444",
    "ursi/elm-scroll": "0445",
    "tiziano88/elm-protobuf": "0446",
    "Punie/elm-reader": "0447",
    "bburdette/cellme": "0448",
    "samueldple/material-color": "0449",
    "Bractlet/elm-plot": "0450",
    "jschomay/elm-bounded-number": "0451",
    "jinjor/elm-contextmenu": "0452",
    "prozacchiwawa/elm-urlbase64": "0453",
    "jluckyiv/elm-utc-date-strings": "0454",
    "mikaxyz/elm-cropper": "0455",
    "TSFoster/elm-heap": "0456",
    "owanturist/elm-bulletproof": "0457",
    "ensoft/entrance": "0458",
    "rgrempel/elm-http-decorators": "0459",
    "Chadtech/random-pipeline": "0460",
    "allo-media/canopy": "0461",
    "harmboschloo/graphql-to-elm": "0462",
    "rielas/measurement": "0463",
    "Chadtech/elm-relational-database": "0464",
    "johnathanbostrom/elm-dice": "0465",
    "jxxcarlson/elm-editor": "0466",
    "0ui/elm-task-parallel": "0467",
    "the-sett/elm-refine": "0468",
    "brian-watkins/elm-spec": "0469",
    "avh4/elm-debug-controls": "0470",
    "phollyer/elm-ui-colors": "0471",
    "Herteby/enum": "0472",
    "kmbn/elm-hotkeys": "0473",
    "cultureamp/babel-elm-assets-plugin": "0474",
    "toastal/mailto": "0475",
    "zwilias/elm-bytes-parser": "0476",
    "tad-lispy/springs": "0477",
    "Janiczek/transform": "0478",
    "hermanverschooten/ip": "0479",
    "jfmengels/lint-unused": "0480",
    "PaackEng/elm-google-maps": "0481",
    "ericgj/elm-uri-template": "0482",
    "data-viz-lab/elm-chart-builder": "0483",
    "folkertdev/elm-paragraph": "0484",
    "icidasset/elm-sha": "0485",
    "dasch/levenshtein": "0486",
    "wittjosiah/elm-ordered-dict": "0487",
    "ktonon/elm-test-extra": "0488",
    "rl-king/elm-masonry": "0489",
    "billstclair/elm-custom-element": "0490",
    "prikhi/bootstrap-gallery": "0491",
    "joshforisha/elm-inflect": "0492",
    "bburdette/pdf-element": "0493",
    "austinshenk/elm-w3": "0494",
    "json-tools/json-schema": "0495",
    "NoRedInk/datetimepicker-legacy": "0496",
    "ccapndave/focus": "0497",
    "gdamjan/elm-identicon": "0498",
    "bemyak/elm-slider": "0499",
    "FabienHenon/jsonapi": "0500",
    "NoRedInk/elm-plot-19": "0501",
    "mercurymedia/elm-message-toast": "0502",
    "chain-partners/elm-bignum": "0503",
    "jouderianjr/elm-loaders": "0504",
    "Punie/elm-id": "0505",
    "drathier/elm-test-tables": "0506",
    "Orasund/elm-action": "0507",
    "w0rm/elm-slice-show": "0508",
    "peterszerzo/elm-arborist": "0509",
    "ThinkAlexandria/elm-html-in-elm": "0510",
    "turboMaCk/queue": "0511",
    "emilianobovetti/edit-distance": "0512",
    "kuzzmi/elm-gravatar": "0513",
    "ThinkAlexandria/elm-drag-locations": "0514",
    "dawehner/elm-colorbrewer": "0515",
    "xarvh/elm-gamepad": "0516",
    "benthepoet/elm-purecss": "0517",
    "billstclair/elm-oauth-middleware": "0518",
    "alexkorban/uicards": "0519",
    "folkertdev/elm-int64": "0520",
    "billstclair/elm-geolocation": "0521",
    "justgook/elm-game-logic": "0522",
    "zgohr/elm-csv": "0523",
    "gicentre/elm-vega": "0524",
    "zwilias/elm-reorderable": "0525",
    "toastal/select-prism": "0526",
    "ronanyeah/calendar-dates": "0527",
    "kuon/elm-hsluv": "0528",
    "ir4y/elm-dnd": "0529",
    "xilnocas/step": "0530",
    "stephenreddek/elm-range-slider": "0531",
    "fabiommendes/elm-iter": "0532",
    "akoppela/elm-logo": "0533",
    "billstclair/elm-crypto-string": "0534",
    "arowM/elm-form-validator": "0535",
    "Elm-Canvas/raster-shapes": "0536",
    "1602/json-schema": "0537",
    "ohanhi/autoexpand": "0538",
    "pdamoc/elm-hashids": "0539",
    "ohanhi/lorem": "0540",
    "stephenreddek/elm-time-picker": "0541",
    "mercurymedia/elm-smart-select": "0542",
    "elm-in-elm/compiler": "0543",
    "the-sett/decode-generic": "0544",
    "ljuglaret/fraction": "0545",
    "folkertdev/elm-kmeans": "0546",
    "nikita-volkov/typeclasses": "0547",
    "miniBill/date-format-languages": "0548",
    "jaredramirez/elm-s3": "0549",
    "jonathanfishbein1/elm-field": "0550",
    "bburdette/schelme": "0551",
    "Chadtech/elm-css-grid": "0552",
    "eike/json-decode-complete": "0553",
    "webbhuset/elm-actor-model": "0554",
    "bburdette/toop": "0555",
    "lynn/elm-ordinal": "0556",
    "tricycle/elm-email": "0557",
    "tricycle/system-actor-model": "0558",
    "nikita-volkov/hashing-containers": "0559",
    "Orasund/elm-cellautomata": "0560",
    "simplystuart/elm-scroll-to": "0561",
    "MartinSStewart/elm-codec-bytes": "0562",
    "Chadtech/elm-vector": "0563",
    "arowM/html-extra": "0564",
    "munksgaard/elm-charts": "0565",
    "tesk9/modal": "0566",
    "RalfNorthman/elm-zoom-plot": "0567",
    "jxxcarlson/htree": "0568",
    "jxxcarlson/elm-stat": "0569",
    "billstclair/elm-svg-button": "0570",
    "webbhuset/elm-actor-model-elm-ui": "0571",
    "folkertdev/elm-tiny-inflate": "0572",
    "fifth-postulate/elm-csv-decode": "0573",
    "viir/simplegamedev": "0574",
    "elm-toulouse/cbor": "0575",
    "rl-king/elm-modular-scale": "0576",
    "bowbahdoe/elm-history": "0577",
    "jxxcarlson/elm-widget": "0578",
    "jackhp95/elm-mapbox": "0579",
    "alex-tan/task-extra": "0580",
    "jjant/elm-printf": "0581",
    "jigargosar/elm-material-color": "0582",
    "avh4/elm-dropbox": "0583",
    "jonathanfishbein1/linear-algebra": "0584",
    "tomjkidd/elm-multiway-tree-zipper": "0585",
    "munksgaard/char-extra": "0586",
    "munksgaard/elm-data-uri": "0587",
    "billstclair/elm-id-search": "0588",
    "thought2/elm-interactive": "0589",
    "brianvanburken/elm-list-date": "0590",
    "andre-dietrich/elm-random-regex": "0591",
    "flowlang-cc/elm-audio-graph": "0592",
    "andre-dietrich/elm-svgbob": "0593",
    "rluiten/trie": "0594",
    "ringvold/elm-iso8601-date-strings": "0595",
    "rl-king/elm-inview": "0596",
    "afidegnum/elm-tailwind": "0597",
    "fifth-postulate/combinatorics": "0598",
    "indicatrix/elm-input-extra": "0599",
    "abadi199/elm-creditcard": "0600",
    "arowM/elm-css-modules-helper": "0601",
    "alexanderkiel/elm-mdc-alpha": "0602",
    "sparksp/elm-review-camelcase": "0603",
    "dwyl/elm-criteria": "0604",
    "ericgj/elm-validation": "0605",
    "prikhi/paginate": "0606",
    "romstad/elm-chess": "0607",
    "basti1302/elm-non-empty-array": "0608",
    "MichaelCombs28/elm-base85": "0609",
    "arnau/elm-objecthash": "0610",
    "NoRedInk/elm-debug-controls-without-datepicker": "0611",
    "dasch/parser": "0612",
    "NoRedInk/noredink-ui": "0613",
    "ozmat/elm-forms": "0614",
    "the-sett/ai-search": "0615",
    "allenap/elm-json-decode-broken": "0616",
    "nathanjohnson320/base58": "0617",
    "noahzgordon/elm-jsonapi": "0618",
    "labzero/elm-google-geocoding": "0619",
    "pilatch/elm-chess": "0620",
    "torreyatcitty/the-best-decimal": "0621",
    "NoRedInk/elm-rails": "0622",
    "FordLabs/elm-star-rating": "0623",
    "Bernardoow/elm-alert-timer-message": "0624",
    "JohnBugner/elm-bag": "0625",
    "Gizra/elm-compat-019": "0626",
    "goilluminate/elm-fancy-daterangepicker": "0627",
    "janjelinek/creditcard-validation": "0628",
    "r-k-b/complex": "0629",
    "NoRedInk/elm-sweet-poll": "0630",
    "TSFoster/elm-compare": "0631",
    "fedragon/elm-typed-dropdown": "0632",
    "emilianobovetti/elm-yajson": "0633",
    "jjant/elm-comonad-zipper": "0634",
    "ozmat/elm-validation": "0635",
    "jackfranklin/elm-parse-link-header": "0636",
    "Gizra/elm-attribute-builder": "0637",
    "kkpoon/elm-auth0-urlparser": "0638",
    "1602/json-value": "0639",
    "ggb/elm-bloom": "0640",
    "peterszerzo/elm-porter": "0641",
    "jweir/sparkline": "0642",
    "fbonetti/elm-geodesy": "0643",
    "bChiquet/elm-accessors": "0644",
    "tricycle/elm-actor-framework-template": "0645",
    "robinheghan/elm-warrior": "0645",
    "wsowens/term": "0645",
    "finos/morphir-elm": "0645",
    "sparksp/elm-review-always": "0646",
    "YuyaAizawa/peg": "0647",
    "jfmengels/lint-debug": "0648",
    "billstclair/elm-dialog": "0649",
    "jxxcarlson/meenylatex": "0650",
    "the-sett/elm-error-handling": "0651",
    "Arkham/elm-rttl": "0652",
    "jfmengels/elm-lint": "0653",
    "Chadtech/ct-colors": "0654",
    "lemol/ant-design-icons-elm": "0655",
    "Gizra/elm-fetch": "0656",
    "GoldentTuft/elm-japanese-typing": "0657",
    "tricycle/elm-actor-framework-template-html": "0657",
    "groma84/elm-tachyons": "0657",
    "shnewto/pgn": "0657",
    "ContaSystemer/elm-review-no-regex": "0657",
    "tasuki/elm-punycode": "0657",
    "billstclair/elm-popup-picker": "0657",
    "hallelujahdrive/elm-croppie": "0657",
    "the-sett/elm-localstorage": "0657",
    "mrpinsky/elm-keyed-list": "0657",
    "choonkeat/elm-fullstack": "0657",
    "carwow/elm-review-rules": "0657",
    "rl-king/elm-index": "0657",
    "shamansir/elm-aframe": "0657",
    "opvasger/msg-replay": "0657",
    "3kyro/xsrf-protection": "0657",
    "sparksp/elm-review-imports": "0657",
    "jfmengels/elm-review-license": "0657",
    "JustinLove/elm-twitch-api": "0658",
    "billstclair/elm-websocket-framework": "0659",
    "calions-app/env": "0660",
    "chazsconi/elm-phoenix-ports": "0661",
    "chicode/lisa": "0662",
    "leojpod/review-no-empty-html-text": "0663",
    "showell/meta-elm": "0664",
    "dasch/crockford": "0665",
    "billstclair/elm-mastodon-websocket": "0666",
    "sparksp/elm-review-ports": "0667",
    "justgook/elm-tiled": "0668",
    "matheus23/elm-markdown-transforms": "0669",
    "ursi/support": "0670",
    "billstclair/elm-mastodon": "0671",
    "TSFoster/elm-md5": "0672",
    "jxxcarlson/tree-extra": "0673",
    "miyamoen/bibliopola": "0674",
    "ThinkAlexandria/css-in-elm": "0675",
    "r-k-b/no-float-ids": "0676",
    "nishiurahiroki/elm-simple-pagenate": "0677",
    "the-sett/elm-aws-cognito": "0678",
    "arowM/html": "0679",
    "owanturist/elm-avl-dict": "0680",
    "z5h/timeline": "0681",
    "JoshuaHall/elm-fraction": "0682",
    "jxxcarlson/elm-text-editor": "0683",
    "rjbma/elm-listview": "0684",
    "visotype/elm-eval": "0685",
    "waratuman/elm-standardapi": "0686",
    "calions-app/test-attribute": "0687",
    "jxxcarlson/elm-tar": "0688",
    "waratuman/json-extra": "0689",
    "vViktorPL/elm-jira-connector": "0690",
    "nicmr/compgeo": "0691",
    "showell/binary-tree-diagram": "0692",
    "showell/dict-dot-dot": "0693",
    "MartinSStewart/elm-nonempty-string": "0694",
    "Gizra/elm-editable-webdata": "0695",
    "Gizra/elm-storage-key": "0696",
    "bburdette/typed-collections": "0697",
    "wolfadex/elm-text-adventure": "0698",
    "sashaafm/eetf": "0699",
    "rluiten/stemmer": "0700",
    "rluiten/sparsevector": "0701",
    "ChristophP/elm-mark": "0702",
    "calions-app/app-object": "0703",
    "calions-app/remote-resource": "0704",
    "calions-app/jsonapi-http": "0705",
    "jfmengels/elm-lint-reporter": "0706",
    "brian-watkins/elm-procedure": "0707",
    "dosarf/elm-yet-another-polling": "0708",
    "commonmind/elm-csexpr": "0709",
    "folkertdev/elm-brotli": "0710",
    "yumlonne/elm-japanese-calendar": "0711",
    "jxxcarlson/math-markdown": "0712",
    "billstclair/elm-websocket-framework-server": "0713",
    "alex-tan/postgrest-client": "0714",
    "primait/pyxis-components": "0715",
    "maca/crdt-replicated-tree": "0716",
    "avh4/elm-desktop-app": "0717",
    "ceddlyburge/elm-bootstrap-starter-master-view": "0718",
    "dvberkel/microkanren": "0719",
    "getto-systems/elm-apply": "0720",
    "getto-systems/elm-field": "0721",
    "getto-systems/elm-html-table": "0722",
    "getto-systems/elm-http-part": "0723",
    "getto-systems/elm-http-header": "0724",
    "getto-systems/elm-url": "0725",
    "getto-systems/elm-json": "0726",
    "getto-systems/elm-sort": "0727",
    "getto-systems/elm-command": "0728",
    "primait/forms": "0729",
    "harmboschloo/elm-dict-intersect": "0730",
    "anhmiuhv/pannablevideo": "0731",
    "Spaxe/elm-lsystem": "0732",
    "harmboschloo/elm-ecs": "0733",
    "AuricSystemsInternational/creditcard-validator": "0734",
    "alex-tan/postgrest-queries": "0735",
    "emptyflash/typed-svg": "0736",
    "billstclair/elm-crypto-aes": "0737",
    "eelcoh/parser-indent": "0738",
    "benansell/lobo-elm-test-extra": "0739",
    "miyamoen/elm-command-pallet": "0740",
    "melon-love/elm-gab-api": "0741",
    "iodevs/elm-history": "0742",
    "ymtszw/elm-broker": "0743",
    "ThinkAlexandria/elm-primer-tooltips": "0744",
    "ryan-senn/elm-compiler-error-sscce": "0745",
    "genthaler/elm-enum": "0746",
    "bigbinary/elm-reader": "0747",
    "bigbinary/elm-form-field": "0748",
    "the-sett/svg-text-fonts": "0749",
    "billstclair/elm-chat": "0750",
    "Libbum/elm-partition": "0751",
    "turboMaCk/elm-continue": "0752",
    "imjoehaines/afinn-165-elm": "0753",
    "the-sett/json-optional": "0754",
    "toastal/endo": "0755",
    "jackhp95/palit": "0756",
    "arowM/elm-html-extra-internal": "0757",
    "arowM/elm-html-internal": "0758",
    "elm-toulouse/float16": "0759",
    "munksgaard/elm-media-type": "0760",
    "jonathanfishbein1/complex-numbers": "0761",
    "NoRedInk/style-elements": "0762",
    "truqu/elm-dictset": "0763",
    "Janiczek/architecture-test": "0764",
    "NoRedInk/http-upgrade-shim": "0765",
    "miyamoen/tree-with-zipper": "0766",
    "rtfeldman/count": "0767",
    "NoRedInk/elm-saved": "0768",
    "NoRedInk/elm-rfc5988-parser": "0769",
    "NoRedInk/elm-formatted-text-test-helpers": "0770",
    "NoRedInk/elm-formatted-text-19": "0771",
    "NoRedInk/elm-plot-rouge": "0772",
    "NoRedInk/elm-rollbar": "0773",
    "avh4/burndown-charts": "0774",
    "mpizenberg/elm-placeholder-pkg": "0775",
    "avh4/elm-github-v3": "0776",
    "justinmimbs/tzif": "0777",
    "folkertdev/elm-cff": "0778",
    "the-sett/elm-one-many": "0779",
    "ianmackenzie/elm-iso-10303": "0780",
    "ianmackenzie/elm-step-file": "0781",
    "ianmackenzie/elm-geometry-prerelease": "0782",
    "terezka/elm-charts-alpha": "0783",
    "terezka/charts": "0783",
    "the-sett/salix-aws-spec": "0784",
    "the-sett/parser-recoverable": "0784",
    "lukewestby/accessible-html-with-css-temp-19": "0785",
    "folkertdev/elm-iris": "0786",
    "lukewestby/http-extra": "0787",
    "jfmengels/elm-review-reporter": "0788",
    "the-sett/elm-enum": "0789",
    "Janiczek/elm-runescape": "0790",
    "Janiczek/browser-extra": "0791",
    "jxxcarlson/toc-editor": "0792",
    "billstclair/elm-dev-random": "0793",
    "miniBill/elm-bare": "0794",
    "miniBill/elm-avataaars": "0795",
    "zwilias/elm-holey-zipper": "0796",
    "TSFoster/elm-envfile": "0797",
    "PaackEng/paack-ui": "0798",
    "PaackEng/paack-remotedata": "0798",
    "the-sett/auth-elm": "0799",
    "Chadtech/dependent-text": "0800",
    "the-sett/tea-tree": "0801",
    "Chadtech/elm-imperative-porting": "0802",
    "Chadtech/elm-provider": "0803",
    "Chadtech/elm-us-state-abbreviations": "0804",
    "jinjor/elm-map-debug": "0805",
    "jinjor/elm-req": "0806",
    "jinjor/elm-insertable-key": "0807",
    "ContaSystemer/elm-review-no-missing-documentation": "0808",
    "ContaSystemer/elm-angularjs-custom-element": "0808",
    "ContaSystemer/elm-effects": "0808",
    "ContaSystemer/elm-effects-time": "0808",
    "ContaSystemer/elm-js-data": "0808",
    "ContaSystemer/elm-error-message": "0808",
    "ContaSystemer/elm-effects-msg-from-js": "0808",
    "turboMaCk/glue": "0809",
    "tricycle/elm-actor-framework-template-markdown": "0810",
    "tricycle/elm-actor-framework-sandbox": "0810",
    "ccapndave/elm-eexl": "0811",
    "ccapndave/elm-typed-tree": "0812",
    "ccapndave/elm-translator": "0813",
    "ccapndave/elm-statecharts": "0814",
    "simonh1000/elm-sliding-menus": "0815",
    "rl-king/elm-iso3166-country-codes": "0816",
    "pd-andy/elm-limiter": "0817",
    "joneshf/elm-these": "0818",
    "arowM/elm-data-url": "0819",
    "robinheghan/elm-phone-numbers": "0820",
    "arowM/elm-html-with-context": "0821",
    "tricycle/elm-storage": "0822",
    "arowM/elm-parser-test": "0823",
    "miyamoen/elm-origami": "0824",
    "jweir/charter": "0825",
    "tricycle/elm-parse-dont-validate": "0826",
    "frandibar/elm-bootstrap": "0827",
    "carwow/elm-slider-old": "0828",
    "Zinggi/elm-glsl-generator": "0829",
    "danhandrea/elm-router": "0830",
    "lucamug/elm-box-drawing": "0830",
    "danhandrea/elm-time-extra": "0830",
    "justgook/elm-webdriver": "0831",
    "ktonon/elm-jsonwebtoken": "0832",
    "MartinSStewart/elm-geometry-serialize": "0833",
    "abadi199/intl-phone-input": "0834",
    "stoeffel/resetable": "0835",
    "ahstro/elm-luhn": "0836",
    "FabienHenon/elm-ckeditor5": "0837",
    "GlobalWebIndex/quantify": "0838",
    "FabienHenon/elm-iso8601-date-strings": "0839",
    "proda-ai/elm-css": "0840",
    "jgrenat/regression-testing": "0841",
    "GlobalWebIndex/class-namespaces": "0842",
    "PaackEng/elm-alert-beta": "0843",
    "tricycle/elm-infinite-gallery": "0844",
    "tricycle/elm-imgix": "0845",
    "sporto/elm-countries": "0846",
    "sporto/polylinear-scale": "0847",
    "gicentre/tidy": "0848",
    "rluiten/mailcheck": "0849",
    "tricycle/elm-eventstream": "0850",
    "panthershark/snackbar": "0851",
    "alex-tan/loadable": "0852",
    "WhileTruu/elm-blurhash": "0853",
    "MartinSStewart/send-grid": "0854",
    "MartinSStewart/elm-bayer-matrix": "0855",
    "Herteby/url-builder-plus": "0856",
    "andre-dietrich/elm-mapbox": "0857",
    "z5h/zipper": "0858",
    "tricycle/morty-api": "0859",
    "mthadley/elm-typewriter": "0860",
    "ggb/porterstemmer": "0861",
    "ggb/elm-trend": "0862",
    "ggb/elm-sentiment": "0863",
    "pd-andy/elm-audio-graph": "0864",
    "ThinkAlexandria/window-manager": "0865",
    "owanturist/elm-queue": "0866",
    "drathier/elm-test-graph": "0867",
    "bburdette/stl": "0868",
    "jonathanfishbein1/numeric-typeclasses": "0869",
    "gribouille/elm-spinner": "0870",
    "gribouille/elm-prelude": "0870",
    "gribouille/elm-graphql": "0870",
    "gribouille/elm-bulma": "0870",
    "peterszerzo/elm-json-tree-view": "0871",
    "allo-media/elm-es-simple-query-string": "0872",
    "prozacchiwawa/elm-json-codec": "0873",
    "danhandrea/elm-foo": "0874",
    "proda-ai/formatting": "0875",
    "proda-ai/elm-svg-loader": "0876",
    "laserpants/elm-burrito-update": "0877",
    "harrysarson/elm-decode-elmi": "0878",
    "allo-media/fable": "0879",
    "achutkiran/elm-material-color": "0880",
    "kirchner/form-validation": "0881",
    "marshallformula/arrangeable-list": "0882",
    "RalfNorthman/elm-lttb": "0883",
    "malaire/elm-safe-int": "0884",
    "driebit/elm-ginger": "0885",
    "MichaelCombs28/elm-css-bulma": "0886",
    "league/difference-list": "0887",
    "harrysarson/elm-hacky-unique": "0888",
    "owanturist/elm-graphql": "0889",
    "dosarf/elm-activemq": "0890",
    "SiriusStarr/elm-spaced-repetition": "0891",
    "r-k-b/elm-interval": "0892",
    "SiriusStarr/elm-splat": "0893",
    "calions-app/elm-placeholder-loading": "0894",
    "r-k-b/map-accumulate": "0895",
    "JohnBugner/elm-loop": "0896",
    "jjant/elm-dict": "0897",
    "calions-app/jsonapi-http-retry": "0898",
    "bowbahdoe/lime-reset": "0899",
    "ljuglaret/combinatoire": "0900",
    "harmboschloo/graphql-to-elm-package": "0901",
    "thought2/elm-wikimedia-commons": "0902",
    "afidegnum/elm-bulmanizer": "0903",
    "alexanderkiel/list-selection": "0904",
    "Bernardoow/elm-rating-component": "0905",
    "kkpoon/elm-echarts": "0906",
    "kkpoon/elm-auth0": "0907",
    "jaredramirez/elm-field": "0908",
    "showell/elm-data-util": "0909",
    "hallelujahdrive/elm-accordion": "0910",
    "leojpod/elm-apex-charts-link": "0910",
    "tasuki/elm-bloom": "0910",
    "shamansir/tron-gui": "0910",
    "leojpod/elm-keyboard-shortcut": "0910",
    "choonkeat/elm-aws": "0910",
    "shamansir/bin-pack": "0910",
    "ryan-senn/elm-google-domains": "0911",
    "ryan-senn/elm-tlds": "0912",
    "ryan-senn/elm-readability": "0913",
    "wolfadex/locale-negotiation": "0914",
    "matheus23/elm-figma-api": "0915",
    "vViktorPL/elm-incremental-list": "0916",
    "Arkham/elm-chords": "0917",
    "primait/elm-form": "0918",
    "opvasger/amr": "0919",
    "choonkeat/elm-retry": "0920",
    "wolfadex/tiler": "0921",
    "iodevs/elm-validate": "0922",
    "Libbum/elm-redblacktrees": "0923",
    "avh4-experimental/elm-transducers": "0924",
    "ryan-senn/stellar-elm-sdk": "0925",
};
exports.default = RANKING_LIST;
//# sourceMappingURL=ranking.js.map