import { Range, TextDocumentEdit, TextEdit, WorkspaceEdit } from "vscode-languageserver";
import { SyntaxNode } from "web-tree-sitter";
import { IRenameParams, IPrepareRenameParams } from "./paramsExtensions";
export declare class RenameProvider {
    private connection;
    constructor();
    protected handleRenameRequest: (params: IRenameParams) => WorkspaceEdit | null | undefined;
    protected handlePrepareRenameRequest: (params: IPrepareRenameParams) => Range | null;
    static getRenameEdits(affectedNodes: {
        originalNode: SyntaxNode;
        references: {
            node: SyntaxNode;
            uri: string;
        }[];
    } | undefined, newName: string): [{
        [uri: string]: TextEdit[];
    }, TextDocumentEdit[]];
    private createModuleDeclarationRenameChange;
    uppercaseNewNameIfModuleDeclaration(newName: string, affectedNodes: {
        originalNode: SyntaxNode;
        references: {
            node: SyntaxNode;
            uri: string;
        }[];
    } | undefined): string;
    private generateUriFromModuleName;
}
