"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolve = exports.relative = exports.join = exports.normalizeUri = exports.normalizeSlashes = exports.directorySeparator = void 0;
const vscode_uri_1 = require("vscode-uri");
const path = __importStar(require("path"));
exports.directorySeparator = "/";
const backslashRegExp = /\\/g;
function normalizeSlashes(path) {
    return path.replace(backslashRegExp, exports.directorySeparator);
}
exports.normalizeSlashes = normalizeSlashes;
function normalizeUri(uri) {
    return normalizeSlashes(vscode_uri_1.URI.file(uri).fsPath);
}
exports.normalizeUri = normalizeUri;
function join(...paths) {
    return normalizeSlashes(path.join(...paths));
}
exports.join = join;
function relative(from, to) {
    return normalizeSlashes(path.relative(from, to));
}
exports.relative = relative;
function resolve(...pathSegments) {
    return normalizeSlashes(path.resolve(...pathSegments));
}
exports.resolve = resolve;
//# sourceMappingURL=path.js.map