/// <reference types="node" />
import { EventEmitter } from "events";
import { TextDocument } from "vscode-languageserver-textdocument";
export declare class TextDocumentEvents extends EventEmitter {
    private _documents;
    private _configuration;
    constructor();
    /**
     * Returns the document for the given URI. Returns undefined if
     * the document is not managed by this instance.
     *
     * @param uri The text document's URI to retrieve.
     * @return the text document or `undefined`.
     */
    get(uri: string): TextDocument | undefined;
    getManagedUris(): string[];
}
