"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyntaxNodeSet = void 0;
class SyntaxNodeSet {
    constructor(...items) {
        this.map = new Map();
        items.forEach((value) => {
            this.add(value);
        });
    }
    get size() {
        return this.map.size;
    }
    add(value) {
        this.map.set(value.id, value);
        return this;
    }
    clear() {
        this.map.clear();
    }
    delete(value) {
        return this.map.delete(value.id);
    }
    forEach(callbackfn) {
        this.map.forEach((value) => {
            callbackfn(value);
        });
    }
    has(value) {
        return this.map.has(value.id);
    }
    values() {
        return this.map.values();
    }
    toArray() {
        return Array.from(this.values());
    }
    addAll(other) {
        other.forEach((value) => this.add(value));
        return this;
    }
}
exports.SyntaxNodeSet = SyntaxNodeSet;
//# sourceMappingURL=syntaxNodeSet.js.map