import { Range } from "vscode-languageserver";
export declare class Utils {
    static notUndefined<T>(x: T | undefined): x is T;
    static notUndefinedOrNull<T>(x: T | undefined | null): x is T;
    static arrayEquals<T>(a: T[], b: T[], itemEquals?: (a: T, b: T) => boolean): boolean;
    static rangeEquals(a: Range, b: Range): boolean;
    static rangeOverlaps(a: Range, b: Range): boolean;
    static getIndicesFromRange(range: Range, text: string): [number, number];
    static rotateArray<T>(array: T[], newStartIndex: number): T[];
}
